package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLEUrlResourceProtocol extends NLEResourceProtocol {
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29896);
    }

    public void finalize() {
        LIZ();
    }

    public final synchronized void LIZ() {
        MethodCollector.i(18288);
        if (this.LIZIZ != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEEditorJniJNI.delete_NLEUrlResourceProtocol(this.LIZIZ);
            }
            this.LIZIZ = 0;
        }
        super.LIZ();
        MethodCollector.o(18288);
    }
}
